diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/pluggable.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/pluggable.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/pluggable.php	2013-09-10 13:43:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/pluggable.php	2013-10-24 14:33:10.000000000 -0500
***************
*** 115,121 ****
   * @since 0.71
   *
   * @param int $user_id User ID
!  * @return bool|object False on failure, WP_User object on success
   */
  function get_userdata( $user_id ) {
  	return get_user_by( 'id', $user_id );
--- 115,121 ----
   * @since 0.71
   *
   * @param int $user_id User ID
!  * @return WP_User|bool WP_User object on success, false on failure.
   */
  function get_userdata( $user_id ) {
  	return get_user_by( 'id', $user_id );
***************
*** 130,136 ****
   *
   * @param string $field The field to retrieve the user with. id | slug | email | login
   * @param int|string $value A value for $field. A user ID, slug, email address, or login name.
!  * @return bool|object False on failure, WP_User object on success
   */
  function get_user_by( $field, $value ) {
  	$userdata = WP_User::get_data_by( $field, $value );
--- 130,136 ----
   *
   * @param string $field The field to retrieve the user with. id | slug | email | login
   * @param int|string $value A value for $field. A user ID, slug, email address, or login name.
!  * @return WP_User|bool WP_User object on success, false on failure.
   */
  function get_user_by( $field, $value ) {
  	$userdata = WP_User::get_data_by( $field, $value );
***************
*** 463,469 ****
   *
   * @param string $username User's username
   * @param string $password User's password
!  * @return WP_Error|WP_User WP_User object if login successful, otherwise WP_Error object.
   */
  function wp_authenticate($username, $password) {
  	$username = sanitize_user($username);
--- 463,469 ----
   *
   * @param string $username User's username
   * @param string $password User's password
!  * @return WP_User|WP_Error WP_User object if login successful, otherwise WP_Error object.
   */
  function wp_authenticate($username, $password) {
  	$username = sanitize_user($username);
***************
*** 649,655 ****
   */
  function wp_set_auth_cookie($user_id, $remember = false, $secure = '') {
  	if ( $remember ) {
! 		$expiration = $expire = time() + apply_filters('auth_cookie_expiration', 14 * DAY_IN_SECONDS, $user_id, $remember);
  	} else {
  		$expiration = time() + apply_filters('auth_cookie_expiration', 2 * DAY_IN_SECONDS, $user_id, $remember);
  		$expire = 0;
--- 649,658 ----
   */
  function wp_set_auth_cookie($user_id, $remember = false, $secure = '') {
  	if ( $remember ) {
! 		$expiration = time() + apply_filters('auth_cookie_expiration', 14 * DAY_IN_SECONDS, $user_id, $remember);
! 		// Ensure the browser will continue to send the cookie after the expiration time is reached.
! 		// Needed for the login grace period in wp_validate_auth_cookie().
! 		$expire = $expiration + ( 12 * HOUR_IN_SECONDS );
  	} else {
  		$expiration = time() + apply_filters('auth_cookie_expiration', 2 * DAY_IN_SECONDS, $user_id, $remember);
  		$expire = 0;
***************
*** 827,836 ****
   * @param string $query_arg where to look for nonce in $_REQUEST (since 2.5)
   */
  function check_ajax_referer( $action = -1, $query_arg = false, $die = true ) {
! 	if ( $query_arg )
! 		$nonce = $_REQUEST[$query_arg];
! 	else
! 		$nonce = isset($_REQUEST['_ajax_nonce']) ? $_REQUEST['_ajax_nonce'] : $_REQUEST['_wpnonce'];
  
  	$result = wp_verify_nonce( $nonce, $action );
  
--- 830,843 ----
   * @param string $query_arg where to look for nonce in $_REQUEST (since 2.5)
   */
  function check_ajax_referer( $action = -1, $query_arg = false, $die = true ) {
! 	$nonce = '';
! 
! 	if ( $query_arg && isset( $_REQUEST[ $query_arg ] ) )
! 		$nonce = $_REQUEST[ $query_arg ];
! 	elseif ( isset( $_REQUEST['_ajax_nonce'] ) )
! 		$nonce = $_REQUEST['_ajax_nonce'];
! 	elseif ( isset( $_REQUEST['_wpnonce'] ) )
! 		$nonce = $_REQUEST['_wpnonce'];
  
  	$result = wp_verify_nonce( $nonce, $action );
  
***************
*** 854,870 ****
   * @since 1.5.1
   * @uses apply_filters() Calls 'wp_redirect' hook on $location and $status.
   *
!  * @param string $location The path to redirect to
!  * @param int $status Status code to use
!  * @return bool False if $location is not set
   */
  function wp_redirect($location, $status = 302) {
  	global $is_IIS;
  
! 	$location = apply_filters('wp_redirect', $location, $status);
! 	$status = apply_filters('wp_redirect_status', $status, $location);
  
! 	if ( !$location ) // allows the wp_redirect filter to cancel a redirect
  		return false;
  
  	$location = wp_sanitize_redirect($location);
--- 861,894 ----
   * @since 1.5.1
   * @uses apply_filters() Calls 'wp_redirect' hook on $location and $status.
   *
!  * @param string $location The path to redirect to.
!  * @param int $status Status code to use.
!  * @return bool False if $location is not provided, true otherwise.
   */
  function wp_redirect($location, $status = 302) {
  	global $is_IIS;
  
! 	/**
! 	 * Filter the redirect location.
! 	 *
! 	 * @since 2.1.0
! 	 *
! 	 * @param string $location The path to redirect to.
! 	 * @param int    $status   Status code to use.
! 	 */
! 	$location = apply_filters( 'wp_redirect', $location, $status );
! 
! 	/**
! 	 * Filter the redirect status code.
! 	 *
! 	 * @since 2.3.0
! 	 *
! 	 * @param int    $status   Status code to use.
! 	 * @param string $location The path to redirect to.
! 	 */
! 	$status = apply_filters( 'wp_redirect_status', $status, $location );
  
! 	if ( ! $location )
  		return false;
  
  	$location = wp_sanitize_redirect($location);
***************
*** 873,878 ****
--- 897,904 ----
  		status_header($status); // This causes problems on IIS and some FastCGI setups
  
  	header("Location: $location", true, $status);
+ 
+ 	return true;
  }
  endif;
  
***************
*** 987,992 ****
--- 1013,1021 ----
   */
  function wp_notify_postauthor( $comment_id, $comment_type = '' ) {
  	$comment = get_comment( $comment_id );
+ 	if ( empty( $comment ) )
+ 		return false;
+ 
  	$post    = get_post( $comment->comment_post_ID );
  	$author  = get_userdata( $post->post_author );
  
***************
*** 1073,1083 ****
  	if ( isset($reply_to) )
  		$message_headers .= $reply_to . "\n";
  
! 	$notify_message = apply_filters('comment_notification_text', $notify_message, $comment_id);
! 	$subject = apply_filters('comment_notification_subject', $subject, $comment_id);
! 	$message_headers = apply_filters('comment_notification_headers', $message_headers, $comment_id);
  
! 	@wp_mail( $author->user_email, $subject, $notify_message, $message_headers );
  
  	return true;
  }
--- 1102,1117 ----
  	if ( isset($reply_to) )
  		$message_headers .= $reply_to . "\n";
  
! 	$emails = array( $author->user_email );
  
! 	$emails          = apply_filters( 'comment_notification_recipients', $emails,          $comment_id );
! 	$notify_message  = apply_filters( 'comment_notification_text',       $notify_message,  $comment_id );
! 	$subject         = apply_filters( 'comment_notification_subject',    $subject,         $comment_id );
! 	$message_headers = apply_filters( 'comment_notification_headers',    $message_headers, $comment_id );
! 
! 	foreach ( $emails as $email ) {
! 		@wp_mail( $email, $subject, $notify_message, $message_headers );
! 	}
  
  	return true;
  }
***************
*** 1103,1111 ****
  	$post = get_post($comment->comment_post_ID);
  	$user = get_userdata( $post->post_author );
  	// Send to the administration and to the post author if the author can modify the comment.
! 	$email_to = array( get_option('admin_email') );
  	if ( user_can($user->ID, 'edit_comment', $comment_id) && !empty($user->user_email) && ( get_option('admin_email') != $user->user_email) )
! 		$email_to[] = $user->user_email;
  
  	$comment_author_domain = @gethostbyaddr($comment->comment_author_IP);
  	$comments_waiting = $wpdb->get_var("SELECT count(comment_ID) FROM $wpdb->comments WHERE comment_approved = '0'");
--- 1137,1145 ----
  	$post = get_post($comment->comment_post_ID);
  	$user = get_userdata( $post->post_author );
  	// Send to the administration and to the post author if the author can modify the comment.
! 	$emails = array( get_option('admin_email') );
  	if ( user_can($user->ID, 'edit_comment', $comment_id) && !empty($user->user_email) && ( get_option('admin_email') != $user->user_email) )
! 		$emails[] = $user->user_email;
  
  	$comment_author_domain = @gethostbyaddr($comment->comment_author_IP);
  	$comments_waiting = $wpdb->get_var("SELECT count(comment_ID) FROM $wpdb->comments WHERE comment_approved = '0'");
***************
*** 1155,1166 ****
  	$subject = sprintf( __('[%1$s] Please moderate: "%2$s"'), $blogname, $post->post_title );
  	$message_headers = '';
  
! 	$notify_message = apply_filters('comment_moderation_text', $notify_message, $comment_id);
! 	$subject = apply_filters('comment_moderation_subject', $subject, $comment_id);
! 	$message_headers = apply_filters('comment_moderation_headers', $message_headers);
  
! 	foreach ( $email_to as $email )
! 		@wp_mail($email, $subject, $notify_message, $message_headers);
  
  	return true;
  }
--- 1189,1202 ----
  	$subject = sprintf( __('[%1$s] Please moderate: "%2$s"'), $blogname, $post->post_title );
  	$message_headers = '';
  
! 	$emails          = apply_filters( 'comment_moderation_recipients', $emails,          $comment_id );
! 	$notify_message  = apply_filters( 'comment_moderation_text',       $notify_message,  $comment_id );
! 	$subject         = apply_filters( 'comment_moderation_subject',    $subject,         $comment_id );
! 	$message_headers = apply_filters( 'comment_moderation_headers',    $message_headers, $comment_id );
  
! 	foreach ( $emails as $email ) {
! 		@wp_mail( $email, $subject, $notify_message, $message_headers );
! 	}
  
  	return true;
  }
***************
*** 1420,1426 ****
  		$wp_hasher = new PasswordHash(8, true);
  	}
  
! 	return $wp_hasher->HashPassword($password);
  }
  endif;
  
--- 1456,1462 ----
  		$wp_hasher = new PasswordHash(8, true);
  	}
  
! 	return $wp_hasher->HashPassword( trim( $password ) );
  }
  endif;
  
***************
*** 1567,1573 ****
  function wp_set_password( $password, $user_id ) {
  	global $wpdb;
  
! 	$hash = wp_hash_password( trim( $password ) );
  	$wpdb->update($wpdb->users, array('user_pass' => $hash, 'user_activation_key' => ''), array('ID' => $user_id) );
  
  	wp_cache_delete($user_id, 'users');
--- 1603,1609 ----
  function wp_set_password( $password, $user_id ) {
  	global $wpdb;
  
! 	$hash = wp_hash_password( $password );
  	$wpdb->update($wpdb->users, array('user_pass' => $hash, 'user_activation_key' => ''), array('ID' => $user_id) );
  
  	wp_cache_delete($user_id, 'users');
***************
*** 1664,1669 ****
--- 1700,1706 ----
  		if ( !empty( $rating ) )
  			$out .= "&amp;r={$rating}";
  
+ 		$out = str_replace( '&#038;', '&amp;', esc_url( $out ) );
  		$avatar = "<img alt='{$safe_alt}' src='{$out}' class='avatar avatar-{$size} photo' height='{$size}' width='{$size}' />";
  	} else {
  		$avatar = "<img alt='{$safe_alt}' src='{$default}' class='avatar avatar-{$size} photo avatar-default' height='{$size}' width='{$size}' />";
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/plugin.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/plugin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/plugin.php	2013-07-16 08:59:43.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/plugin.php	2013-09-24 14:05:10.000000000 -0500
***************
*** 19,68 ****
   * @since 1.5
   */
  
  /**
   * Hooks a function or method to a specific filter action.
   *
!  * Filters are the hooks that WordPress launches to modify text of various types
!  * before adding it to the database or sending it to the browser screen. Plugins
!  * can specify that one or more of its PHP functions is executed to
!  * modify specific types of text at these times, using the Filter API.
   *
!  * To use the API, the following code should be used to bind a callback to the
!  * filter.
   *
   * <code>
!  * function example_hook($example) { echo $example; }
!  * add_filter('example_filter', 'example_hook');
   * </code>
   *
!  * In WordPress 1.5.1+, hooked functions can take extra arguments that are set
!  * when the matching do_action() or apply_filters() call is run. The
!  * $accepted_args allow for calling functions only when the number of args
!  * match. Hooked functions can take extra arguments that are set when the
!  * matching do_action() or apply_filters() call is run. For example, the action
!  * comment_id_not_found will pass any functions that hook onto it the ID of the
!  * requested comment.
!  *
!  * <strong>Note:</strong> the function will return true no matter if the
!  * function was hooked fails or not. There are no checks for whether the
!  * function exists beforehand and no checks to whether the <tt>$function_to_add</tt>
!  * is even a string. It is up to you to take care and this is done for
!  * optimization purposes, so everything is as quick as possible.
   *
   * @package WordPress
   * @subpackage Plugin
!  * @since 0.71
!  * @global array $wp_filter Stores all of the filters added in the form of
!  *	wp_filter['tag']['array of priorities']['array of functions serialized']['array of ['array (functions, accepted_args)']']
   * @global array $merged_filters Tracks the tags that need to be merged for later. If the hook is added, it doesn't need to run through that process.
   *
!  * @param string $tag The name of the filter to hook the $function_to_add to.
!  * @param callback $function_to_add The name of the function to be called when the filter is applied.
!  * @param int $priority optional. Used to specify the order in which the functions associated with a particular action are executed (default: 10). Lower numbers correspond with earlier execution, and functions with the same priority are executed in the order in which they were added to the action.
!  * @param int $accepted_args optional. The number of arguments the function accept (default 1).
   * @return boolean true
   */
! function add_filter($tag, $function_to_add, $priority = 10, $accepted_args = 1) {
  	global $wp_filter, $merged_filters;
  
  	$idx = _wp_filter_build_unique_id($tag, $function_to_add, $priority);
--- 19,85 ----
   * @since 1.5
   */
  
+ // Initialize the filter globals.
+ global $wp_filter, $wp_actions, $merged_filters, $wp_current_filter;
+ 
+ if ( ! isset( $wp_filter ) )
+ 	$wp_filter = array();
+ 
+ if ( ! isset( $wp_actions ) )
+ 	$wp_actions = array();
+ 
+ if ( ! isset( $merged_filters ) )
+ 	$merged_filters = array();
+ 
+ if ( ! isset( $wp_current_filter ) )
+ 	$wp_current_filter = array();
+ 
  /**
   * Hooks a function or method to a specific filter action.
   *
!  * WordPress offers filter hooks to allow plugins to modify
!  * various types of internal data at runtime.
!  *
!  * A plugin can modify data by binding a callback to a filter hook. When the filter
!  * is later applied, each bound callback is run in order of priority, and given
!  * the opportunity to modify a value by returning a new value.
   *
!  * The following example shows how a callback function is bound to a filter hook.
!  * Note that $example is passed to the callback, (maybe) modified, then returned:
   *
   * <code>
!  * function example_callback( $example ) {
!  * 	// Maybe modify $example in some way
!  * 	return $example;
!  * }
!  * add_filter( 'example_filter', 'example_callback' );
   * </code>
   *
!  * Since WordPress 1.5.1, bound callbacks can take as many arguments as are
!  * passed as parameters in the corresponding apply_filters() call. The $accepted_args
!  * parameter allows for calling functions only when the number of args match.
!  *
!  * <strong>Note:</strong> the function will return true whether or not the callback
!  * is valid. It is up to you to take care. This is done for optimization purposes,
!  * so everything is as quick as possible.
   *
   * @package WordPress
   * @subpackage Plugin
!  *
!  * @global array $wp_filter      A multidimensional array of all hooks and the callbacks hooked to them.
   * @global array $merged_filters Tracks the tags that need to be merged for later. If the hook is added, it doesn't need to run through that process.
   *
!  * @since 0.71
!  *
!  * @param string   $tag             The name of the filter to hook the $function_to_add callback to.
!  * @param callback $function_to_add The callback to be run when the filter is applied.
!  * @param int      $priority        (optional) The order in which the functions associated with a particular action are executed. Lower numbers correspond with earlier execution, and functions with the same priority are executed in the order in which they were added to the action.
!  *                                  Default 10.
!  * @param int      $accepted_args   (optional) The number of arguments the function accepts.
!  *                                  Default 1.
   * @return boolean true
   */
! function add_filter( $tag, $function_to_add, $priority = 10, $accepted_args = 1 ) {
  	global $wp_filter, $merged_filters;
  
  	$idx = _wp_filter_build_unique_id($tag, $function_to_add, $priority);
***************
*** 114,140 ****
   *
   * The function allows for additional arguments to be added and passed to hooks.
   * <code>
!  * function example_hook($string, $arg1, $arg2)
!  * {
!  *		//Do stuff
!  *		return $string;
   * }
!  * $value = apply_filters('example_filter', 'filter me', 'arg1', 'arg2');
   * </code>
   *
   * @package WordPress
   * @subpackage Plugin
!  * @since 0.71
!  * @global array $wp_filter Stores all of the filters
!  * @global array $merged_filters Merges the filter hooks using this function.
   * @global array $wp_current_filter stores the list of current filters with the current one last
   *
!  * @param string $tag The name of the filter hook.
   * @param mixed $value The value on which the filters hooked to <tt>$tag</tt> are applied on.
!  * @param mixed $var,... Additional variables passed to the functions hooked to <tt>$tag</tt>.
   * @return mixed The filtered value after all hooked functions are applied to it.
   */
! function apply_filters($tag, $value) {
  	global $wp_filter, $merged_filters, $wp_current_filter;
  
  	$args = array();
--- 131,166 ----
   *
   * The function allows for additional arguments to be added and passed to hooks.
   * <code>
!  * // Our filter callback function
!  * function example_callback( $string, $arg1, $arg2 ) {
!  *	// (maybe) modify $string
!  *	return $string;
   * }
!  * add_filter( 'example_filter', 'example_callback', 10, 3 );
!  *
!  * // Apply the filters by calling the 'example_callback' function we
!  * // "hooked" to 'example_filter' using the add_filter() function above.
!  * // - 'example_filter' is the filter hook $tag
!  * // - 'filter me' is the value being filtered
!  * // - $arg1 and $arg2 are the additional arguments passed to the callback.
!  * $value = apply_filters( 'example_filter', 'filter me', $arg1, $arg2 );
   * </code>
   *
   * @package WordPress
   * @subpackage Plugin
!  *
!  * @global array $wp_filter         Stores all of the filters
!  * @global array $merged_filters    Merges the filter hooks using this function.
   * @global array $wp_current_filter stores the list of current filters with the current one last
   *
!  * @since 0.71
!  *
!  * @param string $tag  The name of the filter hook.
   * @param mixed $value The value on which the filters hooked to <tt>$tag</tt> are applied on.
!  * @param mixed $var   Additional variables passed to the functions hooked to <tt>$tag</tt>.
   * @return mixed The filtered value after all hooked functions are applied to it.
   */
! function apply_filters( $tag, $value ) {
  	global $wp_filter, $merged_filters, $wp_current_filter;
  
  	$args = array();
***************
*** 360,368 ****
  function do_action($tag, $arg = '') {
  	global $wp_filter, $wp_actions, $merged_filters, $wp_current_filter;
  
- 	if ( ! isset($wp_actions) )
- 		$wp_actions = array();
- 
  	if ( ! isset($wp_actions[$tag]) )
  		$wp_actions[$tag] = 1;
  	else
--- 386,391 ----
***************
*** 424,430 ****
  function did_action($tag) {
  	global $wp_actions;
  
! 	if ( ! isset( $wp_actions ) || ! isset( $wp_actions[$tag] ) )
  		return 0;
  
  	return $wp_actions[$tag];
--- 447,453 ----
  function did_action($tag) {
  	global $wp_actions;
  
! 	if ( ! isset( $wp_actions[ $tag ] ) )
  		return 0;
  
  	return $wp_actions[$tag];
***************
*** 449,457 ****
  function do_action_ref_array($tag, $args) {
  	global $wp_filter, $wp_actions, $merged_filters, $wp_current_filter;
  
- 	if ( ! isset($wp_actions) )
- 		$wp_actions = array();
- 
  	if ( ! isset($wp_actions[$tag]) )
  		$wp_actions[$tag] = 1;
  	else
--- 472,477 ----
***************
*** 708,714 ****
   * @uses $wp_filter Used to process all of the functions in the 'all' hook
   *
   * @param array $args The collected parameters from the hook that was called.
-  * @param string $hook Optional. The hook name that was used to call the 'all' hook.
   */
  function _wp_call_all_hook($args) {
  	global $wp_filter;
--- 728,733 ----
